Subject: Re: bug#30731: Slower startup using March (27.0.50) build in windows

From: Noam Postavsky <[email-masked]>
Date: Thu, 08 Mar 2018 20:35:54 -0500

Shuguang Sun <[email-masked]> writes:

> I built emacs 27 on 4th March, however, the startup gets slower than
> the build on 4th Feb (which is camparable with the build in https://
> alpha.gnu.org/gnu/emacs/pretest/windows/emacs-27/).
> I'm sorry I don't know how to repeat it using "-q".
>
> System: Windows 7

> Below is the message from 4th March build.
> 1. It has a warning at the very begining. If start with -q, there
> will be no such warning.
> 2. Actually there is nothing before " >>> start load .emacs: 2.575
> sec <<< ", however, it still takes 2.574 sec.
> 3. The load time is longer than the 4th Feb build.
>
> Symbol's value as variable is void: Info-default-directory-list [14
> times]

Could you try out the patch posted to emacs-devel?

https://lists.gnu.org/archive/html/emacs-devel/2018-03/msg00040.html